import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.update("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.update("id", {});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.UpdateConnectionProfileRequestContent{}
mgmt.ConnectionProfiles.Update(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api patch "connection-profiles/id" --data '{}'using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ConnectionProfiles.UpdateAsync(
id: "id",
request: new UpdateConnectionProfileRequestContent()
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.UpdateConnectionProfileRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connectionProfiles().update(
"id",
UpdateConnectionProfileRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ConnectionProfiles\Requests\UpdateConnectionProfileRequestContent;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connectionProfiles->update(
'id',
new UpdateConnectionProfileRequestContent([]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connection_profiles.update(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connection_profiles.update(id: "id")
curl --request PATCH \
--url https://{tenantDomain}/api/v2/connection-profiles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"organization": {},
"connection_name_prefix_template": "<string>",
"enabled_features": [],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"ad": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"adfs": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"waad": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"google-apps": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"okta": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"oidc": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"samlp": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
}
},
"provisioning": {}
}
'{
"id": "<string>",
"name": "<string>",
"organization": {
"show_as_button": "none",
"assign_membership_on_login": "none"
},
"connection_name_prefix_template": "<string>",
"enabled_features": [
"scim"
],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"ad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"adfs": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"waad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"google-apps": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"okta": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"oidc": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"samlp": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
},
"cross_app_access_resource_app": {
"status": {
"default_value": "enabled",
"allowed_values": [
"enabled"
]
}
}
}Connection Profileを変更
特定の接続プロファイルの詳細を更新します。
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.update("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.update("id", {});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.UpdateConnectionProfileRequestContent{}
mgmt.ConnectionProfiles.Update(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api patch "connection-profiles/id" --data '{}'using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ConnectionProfiles.UpdateAsync(
id: "id",
request: new UpdateConnectionProfileRequestContent()
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.UpdateConnectionProfileRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connectionProfiles().update(
"id",
UpdateConnectionProfileRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ConnectionProfiles\Requests\UpdateConnectionProfileRequestContent;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connectionProfiles->update(
'id',
new UpdateConnectionProfileRequestContent([]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connection_profiles.update(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connection_profiles.update(id: "id")
curl --request PATCH \
--url https://{tenantDomain}/api/v2/connection-profiles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"organization": {},
"connection_name_prefix_template": "<string>",
"enabled_features": [],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"ad": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"adfs": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"waad": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"google-apps": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"okta": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"oidc": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
},
"samlp": {
"enabled_features": [],
"connection_config": {},
"provisioning": {}
}
},
"provisioning": {}
}
'{
"id": "<string>",
"name": "<string>",
"organization": {
"show_as_button": "none",
"assign_membership_on_login": "none"
},
"connection_name_prefix_template": "<string>",
"enabled_features": [
"scim"
],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"ad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"adfs": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"waad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"google-apps": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"okta": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"oidc": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"samlp": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
},
"cross_app_access_resource_app": {
"status": {
"default_value": "enabled",
"allowed_values": [
"enabled"
]
}
}
}承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
更新する connection profile の ID。
ボディ
Connection Profile の名前。
1 - 50Connection Profile の organization。
Show child attributes
Show child attributes
接続名のプレフィックステンプレート。
15^(?!-)(?!.*--)(?:[a-zA-Z0-9-]|{org_id}|{org_name})*$Connection Profile で有効な機能。
有効な機能を表す列挙型。
scim, universal_logout, directory_sync Connection Profile の設定。
この属性に対する strategy 固有の overrides
Show child attributes
Show child attributes
このプロファイルから作成された接続のプロビジョニング設定。
Show child attributes
Show child attributes
組織管理者がIDプロバイダーでCross App Access(XAA)を有効にできるかどうかを制御します。
Show child attributes
Show child attributes
レスポンス
接続プロファイルを正常に更新しました。
Connection Profile 識別子。
Connection Profile の名前。
1 - 50Connection Profile の organization。
Show child attributes
Show child attributes
接続名のプレフィックステンプレート。
15^(?!-)(?!.*--)(?:[a-zA-Z0-9-]|{org_id}|{org_name})*$Connection Profile で有効な機能。
有効な機能を表す列挙型。
scim, universal_logout, directory_sync Connection Profile の設定。
この属性に対する strategy 固有の overrides
Show child attributes
Show child attributes
このプロファイルから作成された接続のプロビジョニング設定。
Show child attributes
Show child attributes
組織管理者がIDプロバイダーでCross App Access(XAA)を有効にできるかどうかを制御します。
Show child attributes
Show child attributes